function [outputArg] = plot_driver_steering(panel, pltData, tr)
    % create tiledlayout (R2023a and newer)
    tl = tiledlayout(panel,"vertical");
    
    % plot 1: speed
    ax1 = nexttile(tl);
    hold(ax1, "on")
    grid(ax1, "on")
    title(ax1, "Speed [km/h]")
    plot(ax1,pltData.xAxis(tr,:),pltData.speed_kph(tr,:))
    % plot 2: steering angle [°]
    ax2 = nexttile(tl);
    hold(ax2, "on")
    grid(ax2, "on")
    title(ax2, "Steering Angle [°]")
    plot(ax2,pltData.xAxis(tr,:),pltData.steering_deg(tr,:))
    % plot 3: oversteer
    ax3 = nexttile(tl);
    hold(ax3, "on")
    grid(ax3, "on")
    title(ax3, "Oversteer")
    % TODO!!
    
    % plot 4: lateral acceleration [g]
    ax4 = nexttile(tl);
    hold(ax4, "on")
    grid(ax4, "on")
    title(ax4, "Lateral Acc [g]")
    plot(ax4,pltData.xAxis(tr,:),pltData.acc_lat_g(tr,:))
    % link all x axes
    %linkaxes([ax1, ax2, ax3, ax4],"x")

    % return null (not relevant for plots!)
    outputArg = [];
end

